package com.qmth.cqb.paper.service.export;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletResponse;

import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dto.PaperExp;
import com.qmth.cqb.utils.enums.ExamFileType;
import com.qmth.cqb.utils.word.DocxProcessUtil;

/**
 * @author  	chenken
 * @date    	2017年7月7日 上午11:29:49
 * @company 	QMTH
 * @description 华中科技大学导出service
 */
@Service("hzkjExportPaperService")
public class HzkjExportPaperService extends ExportPaperAbstractService {
    
	public static final String TEMP_FILE_EXP = "docxExport/";
	public static final String DOCX_SUFFIX = ".docx";
	
    @Override
    public void downloadPaper(String paperId, HttpServletResponse response) throws Exception {
    	PaperExp paperExp = initExportPaper(paperId);
        List<String> fileList = new ArrayList<String>();
        if (paperExp != null) {
        	String paperfileName = paperExp.getName()+DOCX_SUFFIX;
            String answerFileName = paperExp.getName()+"_"+ExamFileType.ANSWER.getName()+DOCX_SUFFIX;
            DocxProcessUtil.exportWord(paperExp, paperfileName,HZKJ_TEMPLATE_PAPER);
            DocxProcessUtil.exportWord(paperExp,answerFileName,HZKJ_TEMPLATE_ANSWER);
            DocxProcessUtil.processImage(paperfileName,getPkgList(paperId));
            DocxProcessUtil.processImage(answerFileName,getPkgList(paperId));
            fileList.add(paperfileName);
            fileList.add(answerFileName);
            DocxProcessUtil.processDownload(fileList, response);
        }
    }

}

